Get last error message

- « SNMP::getErrno

- SNMP::getnext »

- PHP Manual
- SNMP
- Get last error message

# SNMP::getError

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

SNMP::getError — Get last error message

### Description

public SNMP::getError(): string

Returns string with error from last SNMP request.

### Parameters

This function has no parameters.

### Return Values

String describing error from last SNMP request.

### Examples

Example #1 SNMP::getError() example

    <?php
    $session = new SNMP(SNMP::VERSION_2c, '127.0.0.1', 'boguscommunity');
    var_dump(@$session->get('.1.3.6.1.2.1.1.1.0'));
    var_dump($session->getError());
    ?>

The above example will output:

    bool(false)
    string(26) "No response from 127.0.0.1"

### See Also

- SNMP::getErrno() - Get last error code